import { EventEmitter } from '../../stencil.core';
export declare class StbModal {
    private backdrop;
    private isBodyOverflowing;
    private scrollbarWidth;
    private isTransitioning;
    private isVisible;
    body: HTMLElement;
    element: HTMLElement;
    onShow: EventEmitter;
    onHide: EventEmitter;
    keyboard?: boolean;
    options: any;
    ignoreBackdropClick: boolean;
    documentBackDropClickHandler: any;
    documentEscHandler: any;
    componentWillLoad(): void;
    componentDidUnload(): void;
    toggle(relatedTarget: any): void;
    show(relatedTarget?: any): void;
    hide(reason?: any): void;
    private hideModal;
    escKey(): ($event: any) => void;
    private showElement;
    private showBackdrop;
    removeBackdrop(): void;
    resetAdjustments(): void;
    private adjustDialog;
    private checkScrollbar;
    private getScrollbarWidth;
    resetScrollbar(): void;
}
